Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.udp
Class UdpConnector

    java.lang.Object
      org.mule.transport.AbstractConnector
          org.mule.transport.udp.UdpConnector

All Implemented Interfaces:
  EventListener, javax.resource.spi.work.WorkListener, Disposable, Initialisable, Lifecycle, LifecycleStateEnabled, Startable, Stoppable, NamedObject, Connectable, Connector

Direct Known Subclasses:
  MulticastConnector

    public class UdpConnector

extends AbstractConnector

`UdpConnector` can send and receive Mule events as Datagram packets.

Field Summary
`static String` | `ADDRESS_PROPERTY`
`protected boolean` | `broadcast`
`static int` | `DEFAULT_BUFFER_SIZE`
`static int` | `DEFAULT_SOCKET_TIMEOUT`
`protected GenericKeyedObjectPool` | `dispatcherSocketsPool`
`static String` | `KEEP_SEND_SOCKET_OPEN_PROPERTY`
`protected boolean` | `keepSendSocketOpen`
`static String` | `PORT_PROPERTY`
`protected int` | `receiveBufferSize`
`protected int` | `receiveTimeout`
`protected int` | `sendBufferSize`
`protected int` | `sendTimeout`
`protected UdpSocketFactory` | `socketFactory`
`static String` | `UDP`

Fields inherited from class org.mule.transport.AbstractConnector
`connected, createMultipleTransactedReceivers, DEFAULT_NUM_CONCURRENT_TX_RECEIVERS, dispatcherFactory, dispatcherPoolFactory, dispatchers, initialStateStopped, lifecycleManager, logger, muleContext, muleMessageFactory, name, numberOfConcurrentTransactedReceivers, PROPERTY_POLLING_FREQUENCY, receivers, requesterFactory, requesters, serviceDescriptor, serviceOverrides, sessionHandler, startOnConnect`

Fields inherited from interface org.mule.api.transport.Connector
`INT_VALUE_NOT_SET`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`UdpConnector(MuleContext context)`

Method Summary
`protected void` | `doConnect()` Template method where any connections should be made for the connector
`protected void` | `doDisconnect()` Template method where any connected resources used by the connector should be disconnected
`protected void` | `doDispose()` Template method to perform any work when destroying the connectoe
`protected void` | `doInitialise()`
`protected void` | `doStart()` Template method to perform any work when starting the connectoe
`protected void` | `doStop()` Template method to perform any work when stopping the connectoe
`String` | `getProtocol()`
`int` | `getReceiveBufferSize()`
`protected Object` | `getReceiverKey(FlowConstruct flowConstruct, InboundEndpoint endpoint)` The method determines the key used to store the receiver against.
`int` | `getReceiveTimeout()`
`int` | `getSendBufferSize()`
`int` | `getSendTimeout()`
`boolean` | `isBroadcast()`
`boolean` | `isKeepSendSocketOpen()`
`void` | `setBroadcast(boolean broadcast)`
`void` | `setKeepSendSocketOpen(boolean keepSendSocketOpen)`
`void` | `setReceiveBufferSize(int receiveBufferSize)`
`void` | `setReceiveTimeout(int timeout)`
`void` | `setSendBufferSize(int sendBufferSize)`
`void` | `setSendTimeout(int timeout)`

Methods inherited from class org.mule.transport.AbstractConnector
`clearDispatchers, clearRequesters, configureDispatcherPool, connect, createDispatcherMessageProcessor, createMuleMessageFactory, createReceiver, createScheduler, destroyReceiver, disconnect, dispose, disposeReceivers, disposeWorkManagers, doUnregisterListener, exceptionThrown, fireNotification, getConnectEventId, getConnectionDescription, getDefaultExchangePattern, getDefaultInboundTransformers, getDefaultOutboundTransformers, getDefaultResponseTransformers, getDispatcherFactory, getDispatcherPoolFactory, getDispatcherThreadingProfile, getDispatcherWorkManager, getInboundExchangePatterns, getLifecycleState, getMaxDispatchersActive, getMaxRequestersActive, getMaxTotalDispatchers, getMuleContext, getMuleMessageFactory, getName, getNumberOfConcurrentTransactedReceivers, getOutboundExchangePatterns, getOutputStream, getReceiver, getReceivers, getReceivers, getReceiverThreadingProfile, getReceiverWorkManager, getReplyToHandler, getRequesterFactory, getRequesterThreadingProfile, getRequesterWorkManager, getRetryPolicyTemplate, getScheduler, getServiceDescriptor, getServiceOverrides, getSessionHandler, getSupportedProtocols, handleException, handleWorkException, initFromServiceDescriptor, initialise, initialiseFromUrl, initWorkManagers, isConnected, isCreateMultipleTransactedReceivers, isDisposed, isEnableMessageEvents, isInitialised, isInitialStateStopped, isResponseEnabled, isStarted, isStopped, isValidateConnections, lookupReceiver, registerListener, registerSupportedMetaProtocol, registerSupportedProtocol, registerSupportedProtocolWithoutPrefix, request, request, setConnected, setCreateMultipleTransactedReceivers, setDispatcherFactory, setDispatcherPoolFactory, setDispatcherPoolMaxWait, setDispatcherPoolWhenExhaustedAction, setDispatcherThreadingProfile, setDynamicNotification, setInitialStateStopped, setMaxDispatchersActive, setMaxRequestersActive, setName, setNumberOfConcurrentTransactedReceivers, setReceiverThreadingProfile, setRequesterFactory, setRequesterPoolMaxWait, setRequesterPoolWhenExhaustedAction, setRequesterThreadingProfile, setRetryPolicyTemplate, setServiceOverrides, setSessionHandler, setSupportedProtocols, setupDispatchReturn, setupRequestReturn, setValidateConnections, shutdownScheduler, start, startAfterConnect, stop, supportsProtocol, toString, unregisterListener, unregisterSupportedProtocol, updateCachedNotificationHandler, validateConnection, workAccepted, workCompleted, workRejected, workStarted`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### UDP

    public static final String UDP

See Also:
  Constant Field Values

### DEFAULT_SOCKET_TIMEOUT

    public static final int DEFAULT_SOCKET_TIMEOUT

See Also:
  Constant Field Values

### DEFAULT_BUFFER_SIZE

    public static final int DEFAULT_BUFFER_SIZE

See Also:
  Constant Field Values

### KEEP_SEND_SOCKET_OPEN_PROPERTY

    public static final String KEEP_SEND_SOCKET_OPEN_PROPERTY

See Also:
  Constant Field Values

### ADDRESS_PROPERTY

    public static final String ADDRESS_PROPERTY

See Also:
  Constant Field Values

### PORT_PROPERTY

    public static final String PORT_PROPERTY

See Also:
  Constant Field Values

### sendTimeout

    protected int sendTimeout

### receiveTimeout

    protected int receiveTimeout

### sendBufferSize

    protected int sendBufferSize

### receiveBufferSize

    protected int receiveBufferSize

### keepSendSocketOpen

    protected boolean keepSendSocketOpen

### broadcast

    protected boolean broadcast

### dispatcherSocketsPool

    protected GenericKeyedObjectPool dispatcherSocketsPool

### socketFactory

    protected UdpSocketFactory socketFactory

Constructor Detail

### UdpConnector

    public UdpConnector(MuleContext context)

Method Detail

### doInitialise

    protected void doInitialise()
                         throws InitialisationException

  Specified by:
    `doInitialise` in class `AbstractConnector`
  Throws:
    `InitialisationException`

### doDispose

    protected void doDispose()

  Description copied from class: `AbstractConnector`
  Template method to perform any work when destroying the connectoe

  Specified by:
    `doDispose` in class `AbstractConnector`

### doConnect

    protected void doConnect()
                      throws Exception

  Description copied from class: `AbstractConnector`
  Template method where any connections should be made for the connector

  Specified by:
    `doConnect` in class `AbstractConnector`
  Throws:
    `Exception`

### doDisconnect

    protected void doDisconnect()
                         throws Exception

  Description copied from class: `AbstractConnector`
  Template method where any connected resources used by the connector should be disconnected

  Specified by:
    `doDisconnect` in class `AbstractConnector`
  Throws:
    `Exception`

### doStart

    protected void doStart()
                    throws MuleException

  Description copied from class: `AbstractConnector`
  Template method to perform any work when starting the connectoe

  Specified by:
    `doStart` in class `AbstractConnector`
  Throws:
    `MuleException` - if the method fails

### doStop

    protected void doStop()
                   throws MuleException

  Description copied from class: `AbstractConnector`
  Template method to perform any work when stopping the connectoe

  Specified by:
    `doStop` in class `AbstractConnector`
  Throws:
    `MuleException` - if the method fails

### getProtocol

    public String getProtocol()

  Returns:
    the primary protocol name for endpoints of this connector

### getSendTimeout

    public int getSendTimeout()

### setSendTimeout

    public void setSendTimeout(int timeout)

### getReceiveTimeout

    public int getReceiveTimeout()

### setReceiveTimeout

    public void setReceiveTimeout(int timeout)

### getSendBufferSize

    public int getSendBufferSize()

### setSendBufferSize

    public void setSendBufferSize(int sendBufferSize)

### getReceiveBufferSize

    public int getReceiveBufferSize()

### setReceiveBufferSize

    public void setReceiveBufferSize(int receiveBufferSize)

### isBroadcast

    public boolean isBroadcast()

### setBroadcast

    public void setBroadcast(boolean broadcast)

### isKeepSendSocketOpen

    public boolean isKeepSendSocketOpen()

### setKeepSendSocketOpen

    public void setKeepSendSocketOpen(boolean keepSendSocketOpen)

### getReceiverKey

    protected Object getReceiverKey(FlowConstruct flowConstruct,
                                    InboundEndpoint endpoint)

  Description copied from class: `AbstractConnector`
  The method determines the key used to store the receiver against.

  Overrides:
    `getReceiverKey` in class `AbstractConnector`
  Parameters:
    `flowConstruct` - the service for which the endpoint is being registered
    `endpoint` - the endpoint being registered for the service
  Returns:
    the key to store the newly created receiver against

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.